Skip to content
Skip to main content
POST
/v3/grants/{grant_id}/events/{event_id}/send-rsvp

Send RSVP

(Not supported for iCloud) Sends a response to an event that you're added to as a participant. You can't directly update events as a participant.

For most events on EWS, if you decline the event by sending a "no" RSVP response, it's removed from your calendar. If an EWS administrator disabled the option to remove declined events from calendars, the event remains on the calendar with the "no" RSVP status.

Due to a provider limitation, Microsoft Graph might not update the event status properly.

Google allows the meeting organizer to reply "yes", "maybe", and "no" to event invitations. However, other providers do not allow meeting organizers to reply to their own event.

Nylas sends calendar RSVPs to the event organizer as email updates. This can duplicate the RSVP email sent by the calendar provider. If you want to stop Nylas from sending the RSVP email, you can set the skip_nylas_email field to true in the query parameters.

If your application does not implement the scopes that allow you to send messages, Nylas updates the RSVP for the event and returns a 200 with an error message. Event participants on the same provider will see the update, but participants on other providers will not.

NYLAS API KEYACCESS TOKEN

Parameters

Path parameters

grant_id*string

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

event_id*string

ID of the event to access. Nylas recommends you URL-encode this field, or you might receive a 404 error if the ID contains special characters (for example, #).

Query parameters

calendar_id*string

Filter for the specified calendar ID.

(Not supported for iCloud) You can use primary to query the user's primary calendar.

skip_nylas_emailboolean

When true, Nylas does not send the RSVP email to the event organizer.

Default: false

Request body

statusstring

A participant's RSVP status for the event.

yesnomaybe
Example: "maybe"

Responses

request_idstring

The request ID.

dataobject
POSThttps://api.us.nylas.com/v3/grants/{grant_id}/events/{event_id}/send-rsvp?skip_nylas_email=false

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

event_idrequiredstring

ID of the event to access. Nylas recommends you URL-encode this field, or you might receive a `404` error if the ID contains special characters (for example, #).

calendar_idrequiredstring

Filter for the specified calendar ID. (Not supported for iCloud) You can use primary to query the user's primary calendar.

skip_nylas_emailboolean

When true, Nylas does not send the RSVP email to the event organizer.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.